# -*- muttrc -*-
#
# Mutt configuration file
# 2006,  kolter <kolter@openics.org>
#
#  This file is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY
#
# Global configuration file for Mutt.
#

set realname        = "Emmanuel Bouthenot"
set from            = "kolter@openics.org"
set signature       = "~/.identity/signature"
alternates          "(kolter|emmanuel\.bouthenot|manu|emmanuel)@(openics\.org|debian\.org|free\.fr|bouthenot\.name)"

set envelope_from   = yes                       # set return-path to from instead of user@hostname
set hostname        = openics.org

set locale          = "en_US.UTF-8"
set charset         = "utf-8"

source              ~/.mutt/accounts/default    # where are my mails ?

set header_cache    = ~/.mutt/cache
set tmpdir          = ~/.mutt/tmp

set mail_check      = 60
set timeout         = 240

set pgp_use_gpg_agent   = yes

# sidebar settings
set sidebar_visible = yes
set sidebar_width   = 42
#set sidebar_shortpath
set sidebar_newmail_only = yes

#set mask="^[^.]"
#set editor               = "emacs -nw"
set editor               = "vim"
set pager_stop           = yes                    # Do not move to the next message when at the end of a message
set pager_context        = 2
set pager_index_lines    = 15
set edit_headers         = no
set query_command        = "abook --mutt-query '%s'"
set sleep_time           = 0

set smart_wrap           = yes                    # force wrapping of long lines
set wrapmargin           = 10                     # margin of wraped lines

auto_view text/html
alternative_order text/enriched text/plain text

set reverse_name    = yes                        # reply with address used by mail

set recall          = no
set mark_old        = no                         # Do not mark unread messages as old when leaving
set delete          = ask-yes
set print           = ask-yes
set include         = yes

#set index_format     = "%3C %Z | %4c | %[%a %d %b %Y] %[%H:%M] | %-23.23n | %s %> %?y?%Y?"
set index_format     = "%3C %Z | %4c | %[%a %d %b %Y] %[%H:%M] | %-25.25n | %s %> %-30.30t"
set pager_format     = "| %C | %e | %Z | %c | %[%a %d %b %Y] | %[%H:%M] | %L (%a) | %s %?y?| %.20Y?"
set xterm_set_titles = yes
set tilde            = yes
#set narrow_tree     = yes

set strict_threads   = yes
set sort             = reverse-threads
#set sort            = threads                     # Sort by threads
#set sort_aux        = reverse-date                # Then sort by date

source              ~/.mutt/conf/headers           # Configure header display.
source              ~/.mutt/conf/my-headers        # Set personnal headers.
source              ~/.mutt/conf/colors            # Define colours.
source              ~/.mutt/conf/macros            # Define macros.
source              ~/.mutt/conf/keys              # Define keybindings.
source              ~/.mutt/conf/subscribes        # Define subscribing lists.
source              ~/.mutt/conf/identities        # Define identities.

set mailcap_path    = "~/.mutt/etc/mailcap:/etc/mailcap"

set alias_file="~/.mutt/conf/aliases"
source ~/.mutt/conf/aliases
